<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="host.server-config">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="auto-start,cpu-affinity,group,priority,socket-binding-default-interface,socket-binding-group,socket-binding-port-offset,update-auto-start-with-server-status"/>
        <elem name="addr-params" value="host,server-config"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.server-config"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.domain.server-config.$server-config"/>
    </provides>
    <refs>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="socket-binding-group" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="socket-binding-port-offset" nillable="true"/>
        <param name="update-auto-start-with-server-status" nillable="true"/>
        <param name="priority" nillable="true"/>
        <param name="server-config" feature-id="true"/>
        <param name="cpu-affinity" nillable="true"/>
        <param name="auto-start" nillable="true"/>
        <param name="group"/>
        <param name="socket-binding-default-interface" nillable="true"/>
    </params>
</feature-spec>